import { ObservableArray } from '@nativescript/core';
import { Ref } from 'nativescript-vue';
export declare enum OnPreUpdateType {
    Add = 0,
    Update = 1,
    Delete = 2
}
declare type preUpdate<T, J> = (item: T, index: number, updateType: OnPreUpdateType) => J;
/**
 * Reactive synchronization between a reactive array with ObservableArray.
 *
 * @param arrayWatchTarge
 * @param options
 */
export declare function useSyncObservableArray<T, J = any>(arrayRef: Ref<T[]> | T[], options?: {
    addRemoveByField?: string;
    excludeCompareFields?: string[];
    watchUpdates?: boolean;
    checkRemoved?: boolean;
    checkAdded?: boolean;
    checkUpdates?: boolean;
    initialDelay?: number;
    pushAllInFirstSync?: boolean;
    onPushInitialData?: () => void;
    onPreUpdate?: preUpdate<T, J>;
}): {
    sync: (newArray?: any) => void;
    observableArray: ObservableArray<unknown>;
};
export {};
